Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.server.configuration
Class PropertyFileConfigurator

    java.lang.Object
      org.neo4j.server.configuration.PropertyFileConfigurator

All Implemented Interfaces:
  Configurator

    public class PropertyFileConfigurator

extends Object
implements Configurator

Field Summary
`static Logger` | `log`

Fields inherited from interface org.neo4j.server.configuration.Configurator
`DATA_API_PACKAGE, DATA_API_PATH_PROPERTY_KEY, DATABASE_LOCATION_PROPERTY_KEY, DB_MODE_KEY, DB_TUNING_PROPERTY_FILE_KEY, DEFAULT_CONFIG_DIR, DEFAULT_DATA_API_PATH, DEFAULT_MANAGEMENT_API_PATH, DEFAULT_WEB_ADMIN_PATH, DEFAULT_WEB_ADMIN_STATIC_WEB_CONTENT_LOCATION, DEFAULT_WEBSERVER_PORT, ENABLE_OSGI_SERVER_PROPERTY_KEY, MANAGEMENT_API_PACKAGE, MANAGEMENT_PATH_PROPERTY_KEY, NEO_SERVER_CONFIG_FILE_KEY, OSGI_BUNDLE_DIR_PROPERTY_KEY, OSGI_CACHE_DIR_PROPERTY_KEY, ROOT_DISCOVERY_REST_API_PACKAGE, RRDB_LOCATION_PROPERTY_KEY, THIRD_PARTY_PACKAGES_KEY, WEBSERVER_PORT_PROPERTY_KEY`

Constructor Summary
`PropertyFileConfigurator(File propertiesFile)`
`PropertyFileConfigurator(Validator v)`
`PropertyFileConfigurator(Validator v, File propertiesFile)`

Method Summary
`org.apache.commons.configuration.Configuration` | `configuration()`
`Map<String,String>` | `getDatabaseTuningProperties()`
`Set<ThirdPartyJaxRsPackage>` | `getThirdpartyJaxRsClasses()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static Logger log

Constructor Detail

### PropertyFileConfigurator

    public PropertyFileConfigurator(File propertiesFile)

### PropertyFileConfigurator

    public PropertyFileConfigurator(Validator v)

### PropertyFileConfigurator

    public PropertyFileConfigurator(Validator v,
                                    File propertiesFile)

Method Detail

### configuration

    public org.apache.commons.configuration.Configuration configuration()

  Specified by:
    `configuration` in interface `Configurator`

### getDatabaseTuningProperties

    public Map<String,String> getDatabaseTuningProperties()

  Specified by:
    `getDatabaseTuningProperties` in interface `Configurator`

### getThirdpartyJaxRsClasses

    public Set<ThirdPartyJaxRsPackage> getThirdpartyJaxRsClasses()

  Specified by:
    `getThirdpartyJaxRsClasses` in interface `Configurator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.